passwdqc_1.2.0-1_amd64.deb


Advertisement

Description

passwdqc - password strength checking and policy enforcement toolset

Distribution: Debian 7 (Wheezy)
Repository: Debian Main amd64
Package name: passwdqc
Package version: 1.2.0
Package release: 1
Package architecture: amd64
Package type: deb
Installed size: 100 B
Download size: 20.44 KB
Official Mirror: ftp.br.debian.org
passwdqc is a password/passphrase strength checking and policy enforcement toolset, including a PAM module (libpam-passwdqc), command-line programs (pwqcheck and pwqgen), and a library (libpasswdqc0). This package provides pwqcheck and pwqgen, which are standalone password/passphrase strength checking and random passphrase generator programs, respectively, which are usable from scripts.

Alternatives

    Download

    Source package: passwdqc

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install passwdqc deb package:
      # sudo apt-get install passwdqc

    Files

    • /etc/passwdqc.conf
    • /usr/bin/pwqcheck
    • /usr/bin/pwqgen
    • /usr/share/doc/passwdqc/changelog.Debian.gz
    • /usr/share/doc/passwdqc/copyright
    • /usr/share/man/man1/pwqcheck.1.gz
    • /usr/share/man/man1/pwqgen.1.gz
    • /usr/share/man/man5/passwdqc.conf.5.gz

    Changelog

    2010-03-16 - martin f. krafft <madduck@debian.org> passwdqc (1.2.0-1) unstable; urgency=low * New upstream release. * Add snapshot of upstream's considerations of the default password strength policy to /usr/share/doc/libpam-passwdqc/password-strength.txt. * Bump Standards-Version to 3.8.4; no changes required.

    2010-01-28 - martin f. krafft <madduck@debian.org> passwdqc (1.1.4-1) unstable; urgency=low * Source package name change to follow upstream. * New upstream release (closes: #310595).

    2010-01-28 - martin f. krafft <madduck@debian.org> pam-passwdqc (1.0.5-1) unstable; urgency=low * New upstream release (closes: #354534). * Take over maintenance of this package (closes: #520815). * Switch to dpkgv3 source format. * Integrate with pam-auth-update (closes: #517967). * Switch to using DH7 for packaging (closes: #437734). * Add Vcs-* links to metadata. * Add Homepage link to metadata. * Bump Standards-Version to 3.8.3 without having to make changes. * Use TopGit+quilt for packaging.

    2005-01-01 - Tollef Fog Heen <tfheen@debian.org> pam-passwdqc (0.7.5-1) unstable; urgency=low * New upstream release (closes: #286113)

    2002-10-17 - Tollef Fog Heen <tfheen@debian.org> pam-passwdqc (0.7-5) unstable; urgency=low * Link using gcc instead of ld (closes: #164319)

    2002-10-16 - Tollef Fog Heen <tfheen@debian.org> pam-passwdqc (0.7-4) unstable; urgency=low * Rename binary-dep to binary-arch. Silly typo. (closes: #164711)

    2002-10-02 - Tollef Fog Heen <tfheen@debian.org> pam-passwdqc (0.7-3) unstable; urgency=low * Retry upload, this time with full source.

    2002-10-01 - Tollef Fog Heen <tfheen@debian.org> pam-passwdqc (0.7-2) unstable; urgency=low * Included full copyright in copyright file.

    2002-09-24 - Tollef Fog Heen <tfheen@debian.org> pam-passwdqc (0.7-1) unstable; urgency=low * Initial packaging for Debian (closes: #138631)

    Advertisement
    Advertisement